@charset "UTF-8";

$LIGHT: ciq-day !default;
$DARK: ciq-night !default;

$bid-down-color: #8cc176 !default;
$ask-up-color: #b82c0c !default;
$even-color: #7c7c7c !default;

/* --------------------------------------------------------- MARKET DEPTH --------------------------------------------------------- */
*[marketdepth-active] .marketdepth-ui {
	display: inherit;
}

.stx_marketdepth_chart {
	border-right-style: solid;  /* target dot pattern */
	border-top-style: solid;  /* mountain peak pattern */
	color: inherit;  /* mid price color */
	font: bold 28px Roboto, Helvetica, sans-serif;  /* mid price font */
	opacity: 0.5;  /* mountain shading opacity */
	width: 3px;  /* mountain peak width */
	&.bid {
		background-color: $bid-down-color;  /* base of mountain gradient*/
		border-left-color: $bid-down-color;  /* top of mountain gradient */
		border-top-color: $bid-down-color;  /* peak of mountain */
		border-bottom-color: transparent;  /* border of volume bars */
		border-right-color: $bid-down-color;  /* color of crosshair target dot */
		border-right-width: 4px;  /* width of target dot */
		border-top-right-radius: 3px;  /* radius of corner of target dot */
		color: $bid-down-color;  /* fill of volume bars */
	}
	&.ask {
		background-color: $ask-up-color;  /* base of mountain gradient*/
		border-left-color: $ask-up-color;  /* top of mountain gradient */
		border-top-color: $ask-up-color;  /* peak of mountain */
		border-bottom-color: transparent;  /* border of volume bars */
		border-right-color: $ask-up-color;  /* color of crosshair target dot */
		border-right-width: 4px;  /* width of target dot */
		border-top-right-radius: 0px;  /* radius of corner of target dot */
		color: $ask-up-color;  /* fill of volume bars */
	}
}
.stx_chart_controls.marketdepth {
	top: 70px;
	transform: scale(0.75);
	transform-origin: -150%;
	.break-lg & {
		transform: scale(1) translateX(-50%);
	}
	&.small {
		transform: scale(0.525);
		transform-origin: -50%;
		.break-lg & {
			transform: scale(0.7) translateX(-25%);
		}
	}
}

/* --------------------------------------------------------- ORDERBOOK --------------------------------------------------------- */

cq-orderbook {
  position: absolute;
  left:0;
  top:0;
  bottom:0;
  right:0;
  background-color:rgba(255,255,255,0.85);
  padding: 0;
  margin: 0;
  display: none;
  z-index:35;
  .#{$DARK} & {
		background-color:rgba(28,42,53,0.7);
	}
	&[cq-active] {
  	display: block;
	}
	& cq-orderbook-table {
		float:left;
		width:50%;
		height:100%;
		box-sizing: border-box;
		border-left: solid 1px rgba(28,42,53,0.3);
		.#{$DARK} & {
			border-left: solid 1px rgba(255,255,255,0.3);
		}
		& cq-item[cq-orderbook-header] {
			cursor: default;
			padding:inherit;
			font-weight:bold;
			background-color:rgba(239,239,239,0.8);
			color:#000;
			.#{$DARK} & {
				background-color:rgba(0,0,0,0.8);
				color:#fff;
			}
		}
		&:first-of-type {
			border: none;
		}
	}
	& cq-orderbook-bids, & cq-orderbook-asks {
		display: table;
		width: 100%;
		padding: 0;
		margin: 0;
	}
	& cq-orderbook-bids cq-item {
		border-left-color:rgba(140,193,118,0.5); /* for linear-gradient method */
		& div[col="price"] {
			color:$bid-down-color;
			font-weight:bold;
		}
		& div[col="shading"] {
			background-color:rgba(140,193,118,0.5);
		}
	}
	& cq-orderbook-asks cq-item {
		border-right-color:rgba(184,44,12,0.5); /* for linear-gradient method */
		& div[col="price"] {
			color:$ask-up-color;
			font-weight:bold;
		}
		& div[col="shading"] {
			background-color:rgba(184,44,12,0.5);
		}
	}
	& cq-item {
		cursor: pointer;
	  display: table;
		font-size: 12px;
		height: 15px;
		line-height: 15px;
		margin: 0;
		padding: 0;
	  width: 100%;
		& div {
		  display: table-cell;
		  border-bottom: solid 1px rgba(28,42,53,0.3);
		  font-size:10px;
		  padding-left:2px;
		  padding-right:2px;
		  &[col="shading"] {
		  	border:none;
		  	box-sizing:border-box;
		  	position:absolute;
		  	right:0;
		  	padding:0;
		  	height:inherit;
		  	min-width:1px;
		  }
		  &:not([col="shading"]):last-of-type {
				width:auto;
			}
			.#{$DARK} & {
			  border-bottom: solid 1px rgba(255,255,255,0.3);
			}
		}
		&:hover, &[cq-focused] {
			background-color:#efefef !important;
			.#{$DARK} & {
				background-color:#333 !important;
				color: #fff;
			}
		}
	}
	& cq-orderbook-table[reverse] {
		& .ps__rail-y {  /* scrollbar on left */
			left:0px;
			& .ps__thumb-y {
				left: 2px;
			}
		}
		& cq-item div {
			text-align:right;
			&[col="shading"] {
		  	left:0;
		  }
		}
	}
	& cq-close {
		height:16px;
		width:16px;
		z-index:1;
		&:after {
			background-position-y:-30px;
			.#{$DARK} & {
				background-position-y:-55px;
			}
		}
	}
	.break-md & cq-item div[col="cum_size"],
	.break-md & cq-item div[col="cum_amount"],
	.break-sm & cq-item div[col="cum_size"],
	.break-sm & cq-item div[col="cum_amount"] {
		display:none;
	}
}

.cq-orderbook-toggle {
	border:solid 1px black;
	border-radius:3px;
	background-image:url(img/activetrader/ciq-orderbook.svg);
	background-position-x:1px;
	-ms-background-position-x:0px;
	background-repeat:no-repeat;
	background-color:#f8f8f8;
	opacity:0.7;
	height:20px;
	width:22px;
	position:absolute;
	bottom:10px;
	right:20px;
	z-index:20;
	.#{$DARK} & {
		border:solid 1px white;
		background-image:url(img/activetrader/ciq-orderbook-white.svg);
		background-color:#151f28;
	}
	& cq-tooltip {
		width:50px;
		left:-11px;
	}
	&:hover, &:active {
		opacity:1;
	}
	&.left {
		left: 20px;
	}
}

/* --------------------------------------------------------- TRADE HISTORY --------------------------------------------------------- */

cq-tradehistory {
	position: absolute;
	left:0;
	top:0;
	bottom:0;
	right:0;
	background-color:rgba(255,255,255,0.85);
	padding: 0;
	margin: 0;
	display: none;
	z-index:35;
	.#{$DARK} & {
		background-color:rgba(28,42,53,0.7);
	}
	&[cq-active] {
  	display: block;
	}
	& cq-tradehistory-table {
		float:left;
		width:100%;
		height:100%;
		box-sizing: border-box;
		border-left: solid 1px rgba(28,42,53,0.3);
		.#{$DARK} & {
			border-left: solid 1px rgba(255,255,255,0.3);
		}
		& cq-item[cq-tradehistory-header] {
			padding:inherit;
			font-weight:bold;
			background-color:rgba(239,239,239,0.8);
			color:#000;
			.#{$DARK} & {
				background-color:rgba(0,0,0,0.8);
				color:#fff;
			}
		}
		&:first-of-type {
			border: none;
		}
	}
	& cq-item {
		cursor: default;
		display: table;
		font-size: 12px;
		height: 15px;
		line-height: 15px;
		padding: 0;
		width: 100%;
		& div {
			display: table-cell;
			border-bottom: solid 1px rgba(28,42,53,0.3);
			font-size:10px;
			padding-left:2px;
			padding-right:2px;
			.#{$DARK} & {
				border-bottom: solid 1px rgba(255,255,255,0.3);
			}
		}
		&:hover, &[cq-focused] {
			background-color:#efefef !important;
			.#{$DARK} & {
				background-color:#333 !important;
				color: #fff;
			}
		}
	}
	& cq-tradehistory-body {
		display: table;
		width: 100%;
		padding: 0;
		margin: 0;
		& cq-item {
			& div[col="price"] {
				font-weight:bold;
			}
			&[dir] {
				&[animate='true']:not([corrected])::after {
					content: "";
					position: absolute;
					top: 0;
					right: 0;
					bottom: 0;
					left: 0;
					opacity: 1;
					z-index: -1;
					animation: trade 2.5s linear -0.5s 1 normal forwards;
				}
			}
			&[dir='up'] {
				&[animate='true']:not([corrected])::after {
					background-color: $bid-down-color;
				}
				& div[col="price"] {
					color:$bid-down-color;
				}
			}
			&[dir='down'] {
				&[animate='true']:not([corrected])::after {
					background-color: $ask-up-color;
				}
				& div[col="price"] {
					color:$ask-up-color;
				}
			}
			&[dir=''] {
				&[dir=''] {
					&[animate='true']:not([corrected])::after {
						background-color: $even-color;
					}
				}
				& div[col="price"] {
					color:$even-color;
				}
			}
		}
	}
}

@keyframes trade {
	from { opacity: 1; }
	to { opacity: 0; }
}
